package cn.cecep.talroad.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AmProblemStatusEnum {
    //问题状态:100：初始化/待签收，200：待整改，300：待审核，400：审核不通过，500：已办结/已签收
    INIT("100","初始化/待签收"),
    WAIT_RECTIFY("200","待整改"),
    WAIT_AUDIT("300","待审核"),
    UN_PASS("400","审核不通过"),
    PASS("500","已办结/已签收"),
    ;

    private String value;
    private String desc;

    public static AmProblemStatusEnum valueOfByValue(String value){
        for (AmProblemStatusEnum anEnum : values()) {
            if (anEnum.getValue().equals(value)) {
                return anEnum;
            }
        }
        throw new IllegalArgumentException("no enum found:"+value);
    }

}
